package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AdvertTreeFactory
{
    private AdvertTreeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IAdvertTree getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvertTree)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("ECC977F0") ,com.kingdee.eas.custom.gggl.IAdvertTree.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IAdvertTree getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvertTree)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("ECC977F0") ,com.kingdee.eas.custom.gggl.IAdvertTree.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IAdvertTree getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvertTree)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("ECC977F0"));
    }
    public static com.kingdee.eas.custom.gggl.IAdvertTree getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvertTree)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("ECC977F0"));
    }
}